--- title: "Get monitoring data" slug: "getglobalcdnmonitoringdata" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/getglobalcdnmonitoringdata" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get monitoring data Available in Classic and VPC Get the CDN service monitoring data within the query period. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /cdn/v2/getGlobalCdnMonitoringData | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Global CDN APIs, see [Global CDN request headers](/docs/en/networking-cdn#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `cdnInstanceNoList.N` | Array | Required | CDN instance number list - See [Get instance](/docs/en/networking-cdn-getglobalcdninstancelist). - Example: `cdnInstanceNoList.1=2323&cdnInstanceNoList.2=1212` | | `startDate` | String | Required | Query start date and time - yyyyMMddHH format - Get aggregate data at 1-hour intervals from the query start date and time. | | `endDate` | String | Required | Query end date and time - yyyyMMddHH format | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/cdn/v2/getGlobalCdnMonitoringData?cdnInstanceNoList.1=2851****&startDate=2025071815&endDate=2025071817&responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getGlobalCdnMonitoringDataResponse` | Object | - | Response result | | `getGlobalCdnMonitoringDataResponse.startDate` | String | - | Search start date and time | | `getGlobalCdnMonitoringDataResponse.endDate` | String | - | Search end date and time | | `getGlobalCdnMonitoringDataResponse.aggregation` | Number | - | Aggregation interval (second) | | `getGlobalCdnMonitoringDataResponse.volumeDataRecordList` | Array | - | Transfer volume data list - `[timestamp, value]` format | | `getGlobalCdnMonitoringDataResponse.requestDataRecordList` | Array | - | Request count data list - `[timestamp, value]` format | | `getGlobalCdnMonitoringDataResponse.bandwidthDataRecordList` | Array | - | Traffic data list - `[timestamp, value]` format | | `getGlobalCdnMonitoringDataResponse.offloadDataRecordList` | Array | - | Hit rate data list - `[timestamp, value]` format | | `getGlobalCdnMonitoringDataResponse.twoxxEdgeHitsDataRecordList` | Array | - | 2xx response count list - `[timestamp, value]` format | | `getGlobalCdnMonitoringDataResponse.threexxEdgeHitsDataRecordList` | Array | - | 3xx response count list - `[timestamp, value]` format | | `getGlobalCdnMonitoringDataResponse.fourxxEdgeHitsDataRecordList` | Array | - | 4xx response count list - `[timestamp, value]` format | | `getGlobalCdnMonitoringDataResponse.fivexxEdgeHitsDataRecordList` | Array | - | 5xx response count list - `[timestamp, value]` format | | `getGlobalCdnMonitoringDataResponse.volumeDataUnit` | String | - | Transfer volume unit: `bytes` (valid value) | | `getGlobalCdnMonitoringDataResponse.requestDataUnit` | String | - | Request count unit: `count` (valid value) | | `getGlobalCdnMonitoringDataResponse.bandwidthDataUnit` | String | - | Traffic unit: `Mbps` (valid value) | | `getGlobalCdnMonitoringDataResponse.offloadDataUnit` | String | - | Hit rate unit: `percent` (valid value) | | `getGlobalCdnMonitoringDataResponse.xxxEdgeHitsDataUnit` | String | - | Response count unit: `count` (valid value) | | `getGlobalCdnMonitoringDataResponse.pointStart` | Number | - | Query start date and time (millisecond) - Unix timestamp format | | `getGlobalCdnMonitoringDataResponse.pointInterval` | Number | - | Aggregation interval (millisecond) | | `getGlobalCdnMonitoringDataResponse.maxBandwidth` | Number | - | Maximum traffic within the query period | | `getGlobalCdnMonitoringDataResponse.totalVolume` | Number | - | Total transfer volume within the query period | | `getGlobalCdnMonitoringDataResponse.totalRequest` | Number | - | Total request count within the query period | | `getGlobalCdnMonitoringDataResponse.maxOffload` | Number | - | Maximum hit rate within the query period | | `getGlobalCdnMonitoringDataResponse.totalTwoxxEdgeHits` | Number | - | Total 2xx response count within the query period | | `getGlobalCdnMonitoringDataResponse.totalThreexxEdgeHits` | Number | - | Total 3xx response count within the query period | | `getGlobalCdnMonitoringDataResponse.totalFourxxEdgeHits` | Number | - | Total 4xx response count within the query period | | `getGlobalCdnMonitoringDataResponse.totalFivexxEdgeHits` | Number | - | Total 5xx response count within the query period | | `getGlobalCdnMonitoringDataResponse.requestId` | String | - | ID for the request - UUID format | | `getGlobalCdnMonitoringDataResponse.returnCode` | String | - | Response code | | `getGlobalCdnMonitoringDataResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Global CDN APIs, see [Global CDN response status codes](/docs/en/networking-cdn#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getGlobalCdnMonitoringDataResponse": { "startDate": "2025071815", "endDate": "2025071817", "aggregation": 3600, "volumeDataRecordList": [ [ 1752818400000, 0 ], [ 1752822000000, 1371687657 ] ], "requestDataRecordList": [ [ 1752818400000, 0 ], [ 1752822000000, 6 ] ], "bandwidthDataRecordList": [ [ 1752818400000, 0 ], [ 1752822000000, 2.9069850858052573 ] ], "offloadDataRecordList": [ [ 1752818400000, 0 ], [ 1752822000000, 33.33333333333333 ] ], "twoxxEdgeHitsDataRecordList": [ [ 1752818400000, 0 ], [ 1752822000000, 4 ] ], "threexxEdgeHitsDataRecordList": [ [ 1752818400000, 0 ], [ 1752822000000, 0 ] ], "fourxxEdgeHitsDataRecordList": [ [ 1752818400000, 0 ], [ 1752822000000, 2 ] ], "fivexxEdgeHitsDataRecordList": [ [ 1752818400000, 0 ], [ 1752822000000, 0 ] ], "volumeDataUnit": "bytes", "requestDataUnit": "count", "bandwidthDataUnit": "Mbps", "offloadDataUnit": "percent", "xxxEdgeHitsDataUnit": "count", "pointStart": 1752818400000, "pointInterval": 3600000, "maxBandwidth": 2.9069850858052573, "totalVolume": 1371687657, "totalRequest": 6, "maxOffload": 33.33333333333333, "totalTwoxxEdgeHits": 4, "totalThreexxEdgeHits": 0, "totalFourxxEdgeHits": 2, "totalFivexxEdgeHits": 0, "requestId": "963722f0-****-****-****-f11e9fc61b84", "returnCode": "0", "returnMessage": "success" } } ```